Subject: bug#52384: [External] : bug#52384: 26.3; dired buffer navigation tweak

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Dec 2021 15:07:49 +0200

> From: Arthur Miller <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Mon, 13 Dec 2021 11:14:27 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > No, ls-lisp.el is not used on any Posix hosts.
> 
> I thought so; would it be unrealistic to suggest that Emacs by default switches
> to ls-lisp.el on all hosts?

Yes.  ls-lisp doesn't support all of the switches that GNU ls
supports.

> I have done some measurements, not very scientific, just tested simply gnu ls vs
> directory-files on my Arch Linux, with a directory ~5000 files. As I see it on
> my computer, the most of time is spent on I/O, once the system has cached
> inodes, it almost does not matter if I use ls binary or sl-lisp.el, or
> directory-files directly:
> 
> *** Welcome to IELM ***  Type (describe-mode) for help.
> ELISP> (benchmark-run 1 (find-file "/s/backup/unsorted"))
> (0.202678959 0 0.0)
> 
> ELISP> (benchmark-run 1 (directory-files "/s/backup/unsorted"))
> (0.003737047 0 0.0)
> 
> ELISP> (benchmark-run 1 (find-file "/s/backup/unsorted"))
> (0.001892588 0 0.0)
> 
> ELISP> (benchmark-run 1 (find-file "/s/backup/unsorted"))
> (0.001898974 0 0.0)
> 
> ls is faster of course, but not like a magnitude faster.

I don't understand what you compared here.  Which results are wil ls
and which with ls-lisp?  And why do you benchmark directory-files and
nit insert-directory?